simpleMovePerf.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Functions | Variables
simpleMovePerf.cc File Reference
`#include "osl/record/csaString.h"`
`#include "osl/state/numEffectState.h"`
`#include "osl/player.h"`
`#include "osl/move_generator/allMoves.h"`
`#include "osl/move_generator/allMoves.tcc"`
`#include "osl/move_action/store.h"`
`#include "osl/misc/perfmon.h"`
`#include <iostream>`
`#include <time.h>`
`#include <sys/time.h>`
`#include <cstdio>`
Include dependency graph for simpleMovePerf.cc:

Go to the source code of this file.

## Classes
struct | DoUndoHelper< State, P, isAttack, withEffect >

## Functions
template<Player P, typename State , bool isMoveEval>
void | nextMoves (State &state, int level)
template<Player P, typename State >
void | callValWithMove (State &state, Move move, Int2Type< false >)
template<Player P, typename State >
void | callValWithMove (State &state, Move move, Int2Type< true >)
int | main (int argc, char **argv)

## Variables
int | moveCount
int | dropCount
int | maxLevel
int | maxVal =0

## Function Documentation

template<Player P, typename State >

void callValWithMove | ( | State & | state,
|  | Move | move,
|  | Int2Type< false > |
| ) |  |

Definition at line 59 of file simpleMovePerf.cc.

template<Player P, typename State >

void callValWithMove | ( | State & | state,
|  | Move | move,
|  | Int2Type< true > |
| ) |  |

Definition at line 63 of file simpleMovePerf.cc.

References maxVal.

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 149 of file simpleMovePerf.cc.

References dropCount, maxLevel, moveCount, osl::misc::PerfMon::stop(), and timer.

template<Player P, typename State , bool isMoveEval>

void nextMoves | ( | State & | state,
|  | int | level
| ) |  |

Definition at line 71 of file simpleMovePerf.cc.

References osl::GenerateAllMoves::generate(), maxLevel, moveCount, and moves.

## Variable Documentation

int dropCount

Definition at line 33 of file simpleMovePerf.cc.

Referenced by main().

int maxLevel

Definition at line 34 of file simpleMovePerf.cc.

int maxVal =0

Definition at line 36 of file simpleMovePerf.cc.

Referenced by callValWithMove().

int moveCount

Definition at line 32 of file simpleMovePerf.cc.